/*
 * UserWriteFormat.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.fileaccess;

import jp.co.cybec.cb3.accessor.fileaccess.RecordFieldWriterFormatable;

/**
 * ファイルのレコード項目をフォーマットするクラス(Writer用)
 * @author Juanjuan Wang
 */
public class UserWriteFormat implements RecordFieldWriterFormatable {

	/**
	 * コンストラクタ
	 */
	public UserWriteFormat(){
	}

	/**
	 * 引数の文字列をフォーマットします。
	 *
	 * @param pattern フォーマット
	 * @param type タイプ
	 * @param data フォーマット対象の文字列
	 * @return フォーマット後の文字列
	 */
	public String format(String pattern, String type, String data) {
		return data;

	}

	/**
	 * 引数の文字列をパディングします。
	 *
	 * @param length バイト数
	 * @param algin アラインメント指定子(右寄せ・左寄せ)
	 * @param padding パディング文字
	 * @param data パディング対象の文字列
	 * @return パディング後の文字列
	 */
	public String padding(String length, String algin, String padding, String data) {
		return data;
	}

}

